NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.GeometricUtilities.TrimCurveBoundingObjectBuilder Class Reference

Represents a NXOpen.GeometricUtilities.TrimCurveBoundingObjectBuilder More...

Inheritance diagram for NXOpen.GeometricUtilities.TrimCurveBoundingObjectBuilder:
NXOpen.TaggedObject NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  Method { SelectObject, SelectPlane }
 the Object or Plane selection More...
 

Properties

unsafe
NXOpen.SelectDisplayableObject 
BoundingObject [get]
 Returns the bounding object More...
 
unsafe
NXOpen.SelectDisplayableObjectList 
BoundingObjectList [get]
 Returns the bounding object list More...
 
unsafe
NXOpen.GeometricUtilities.TrimCurveBoundingObjectBuilder.Method 
BoundingObjectMethodType [get, set]
 Returns or sets the bounding object enum type More...
 
unsafe NXOpen.Plane BoundingPlane [get, set]
 Returns or sets the bounding plane More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.GeometricUtilities.TrimCurveBoundingObjectBuilder

To create a new instance of this class, use NXOpen.Features.TrimCurve2Builder.CreateTrimCurveBoundingObjectBuilder

Created in NX11.0.1

Member Enumeration Documentation

the Object or Plane selection

Enumerator
SelectObject 
SelectPlane 

Property Documentation

unsafe NXOpen.SelectDisplayableObject NXOpen.GeometricUtilities.TrimCurveBoundingObjectBuilder.BoundingObject
get

Returns the bounding object

Created in NX11.0.1

Deprecated in NX12.0.0. Use NXOpen.GeometricUtilities.TrimCurveBoundingObjectBuilder.BoundingObjectList .

License requirements: None.

unsafe NXOpen.SelectDisplayableObjectList NXOpen.GeometricUtilities.TrimCurveBoundingObjectBuilder.BoundingObjectList
get

Returns the bounding object list

Only one object is allowed in this list.

In the case of multiple objects, only first object will be considered for the operation.

Created in NX12.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.TrimCurveBoundingObjectBuilder.Method NXOpen.GeometricUtilities.TrimCurveBoundingObjectBuilder.BoundingObjectMethodType
getset

Returns or sets the bounding object enum type

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Plane NXOpen.GeometricUtilities.TrimCurveBoundingObjectBuilder.BoundingPlane
getset

Returns or sets the bounding plane

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.